package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.service.ExcelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Api(tags = "Excel导出")
@RestController
public class ExcelController {

    @Autowired
    private ExcelService excelService;

    @PostMapping("export")
    @Token
    @ApiOperation("将Table转换为Xls")
    public Object tableToXls(HttpServletRequest request,@RequestBody String tableStr){
        String realPath = request.getSession().getServletContext().getRealPath("/");
        System.out.println(realPath);
        String fileUrl =excelService.tableToXls(realPath,tableStr);
        return Result.success(fileUrl);
    }

}
